# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit webapp depend.php eutils

DESCRIPTION="php Directory listing script"
HOMEPAGE="http://www.evoluted.net/community/code/directorylisting.php"
SRC_URI="http://www.evoluted.net/thinktank/wp-content/uploads/2011/02/dirlistingv3.zip"

LICENSE="GPL-2"
KEYWORDS="alpha amd64 ~arm ~ppc sparc x86 ~x86-fbsd"
IUSE=""

DEPEND="|| ( <dev-lang/php-5.3[pcre] >=dev-lang/php-5.3 )"

need_httpd_cgi
need_php_httpd

S="${WORKDIR}"/directoryv${PV}

pkg_setup() {
	webapp_pkg_setup
}

src_prepare() {
	edos2unix index.php
	edos2unix dlf/i.php
	edos2unix dlf/styles.css
}

src_install() {
	webapp_src_preinst

	insinto "${MY_HTDOCSDIR}"
	doins -r .

	webapp_configfile "${MY_HTDOCSDIR}"/index.php

	webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
	webapp_src_install
}
