# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 subversion

ESVN_REPO_URI="http://trac-hacks.org/svn/consultanttheme/0.10"
DESCRIPTION="A Trac theme based on the G-Consultant template from templateworld.com"
HOMEPAGE="http://trac-hacks.org/wiki/ConsultantTheme"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12
	>=www-apps/trac-themeengine-1.0"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the ConsultantTheme template, you have to add:"
	elog "	[components]"
	elog "	consultanttheme.* = enabled"
	elog
	elog "	[theme]"
	elog "	theme = Consultant"
	elog "to your trac.ini files."
}
