# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/www-apps/trac-webadmin/trac-webadmin-0.1.2.ebuild,v 1.4 2007/02/13 20:39:33 corsair Exp $

EAPI=6
PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )

inherit distutils-r1 subversion

ESVN_REPO_URI="http://trac-hacks.org/svn/pytppthemeplugin/0.11/"
DESCRIPTION="A theme based on python.org and The Python Papers"
HOMEPAGE="http://trac-hacks.org/wiki/PyTppThemePlugin"

LICENSE="trac"
KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
IUSE=""

SLOT="0"

DEPEND="dev-python/setuptools"
RDEPEND=">=www-apps/trac-0.12
	>=www-apps/trac-themeengine-2.0"

pkg_postinst() {
	distutils_pkg_postinst
	elog "To enable the IntraBlog template, you have to add:"
	elog "	[components]"
	elog "	pytpptheme.* = enabled"
	elog
	elog "	[theme]"
	elog "	theme = PyTpp"
	elog "to your trac.ini files."
}
